Mailinglist Archive: opensuse-bugs (2150 mails)

< Previous Next >
[Bug 873680] New: KDE uses outdated certificates
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Tue, 15 Apr 2014 11:17:04 +0000
  • Message-id: <bug-873680-21960@http.bugzilla.novell.com/>

https://bugzilla.novell.com/show_bug.cgi?id=873680

https://bugzilla.novell.com/show_bug.cgi?id=873680#c0


Summary: KDE uses outdated certificates
Classification: openSUSE
Product: openSUSE Factory
Version: 13.2 Milestone 0
Platform: Other
OS/Version: Other
Status: NEW
Severity: Enhancement
Priority: P5 - None
Component: KDE4 Workspace
AssignedTo: kde-maintainers@xxxxxxx
ReportedBy: sweet_f_a@xxxxxx
QAContact: qa-bugs@xxxxxxx
Found By: ---
Blocker: ---


User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:28.0) Gecko/20100101
Firefox/28.0

KDE3 and KDE4 are using their own cert bundles
/usr/share/kde4/apps/kssl/ca-bundle.crt
/opt/kde3/share/apps/kssl/ca-bundle.crt

They are outdated, possible insecure and moreover KDE apps ignore other
installed certificates like "ca-certificates-cacert" package or selfinstalled
ones.

I would be nice to use /etc/ssl/ca-bundle.pem in KDE too.

Reproducible: Always

Steps to Reproduce:
1.
2.
3.

--
Configure bugmail: https://bugzilla.novell.com/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug.

< Previous Next >